This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 165948 - Squid should not be built with --enable-truncate
Squid should not be built with --enable-truncate
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-15 02:00 EDT by Reuben Farrelly
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 11:27:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2005-08-15 02:00:51 EDT
As per this bug report on the squid-cache.org website:

http://www.squid-cache.org/bugs/show_bug.cgi?id=1371

we should not be building squid with --enable-truncate

It seems that the chance of a problem with this is slight, but we should be
guided by the developers opinions on what is a sensible configure option.
Comment 1 Martin Stransky 2005-08-15 09:03:57 EDT
This issue was opened for the new, featured version (3.0), but in Fedora we have
the old one, stable version (2.5). Please reopen it if doesn't work for the
stable one.
Comment 2 Reuben Farrelly 2005-08-20 06:39:33 EDT
I asked about this - refer the bug report above again - the comment about using
truncate is relevant for squid-2.5 and squid-3.0.

(Apparently the disk I/O, even if refactored, is pratically identical between
Squid 2.5 and Squid 3.0.)


Comment 3 Martin Stransky 2005-08-30 11:27:07 EDT
Okay.

Note You need to log in before you can comment on or make changes to this bug.